<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>Fare (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Fare (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":42,"i1":42,"i2":42,"i3":42,"i4":42,"i5":42,"i6":42,"i7":42,"i8":42,"i9":42,"i10":42,"i11":42};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Fare.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/urbanmobility/ExploredCoverage.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/urbanmobility/FareType.html" title="enum in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/urbanmobility/Fare.html" target="_top">Frames</a></li>
<li><a href="Fare.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.urbanmobility</div>
<h2 title="Class Fare" class="title">Class Fare</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.urbanmobility.Fare</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
<br>
<pre>@Deprecated
public final class <span class="typeNameLabel">Fare</span>
extends java.lang.Object</pre>
<div class="block">Represents information about a single fare (e.g. ticket).
 <p>
 IMPORTANT: Urban Mobility routing is a Beta feature. The related classes are subject to change
 without notice.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object o)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getCurrency--">getCurrency</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets ISO 4217 code of currency in which the price is given, e.g.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getEstimated--">getEstimated</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets whether the fare price is estimated or if it's an exact value.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/urbanmobility/FareType.html" title="enum in com.here.android.mpa.urbanmobility">FareType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getFareType--">getFareType</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets type of fare represented by this object.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getLinks--">getLinks</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the collection of <a href="../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility"><code>Link</code></a>s associated with this fare e.g.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getMaximumPrice--">getMaximumPrice</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets maximum price of the fare (or parking costs if reason is "parking")</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getName--">getName</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets name of the fare.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getPrice--">getPrice</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets price of the fare (or parking costs if reason is "parking")</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getPriceAsString--">getPriceAsString</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the fare price as a formatted, ready-to-display string, entailing the currency.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getReason--">getReason</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the reason for the cost described in this element, e.g.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#hashCode--">hashCode</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#toString--">toString</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public java.lang.String getName()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets name of the fare.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name of the fare</dd>
</dl>
</li>
</ul>
<a name="getCurrency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrency</h4>
<pre>public java.lang.String getCurrency()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets ISO 4217 code of currency in which the price is given, e.g. "EUR".</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ISO 4217 code of currency of the price</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://www.iso.org/iso-4217-currency-codes.html">ISO 4217</a></dd>
</dl>
</li>
</ul>
<a name="getPrice--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrice</h4>
<pre>public double getPrice()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets price of the fare (or parking costs if reason is "parking")

 <p>For parking costs this is the maximum hourly rate or daily rate.</p>

 <p>When fare type is set to <a href="../../../../../com/here/android/mpa/urbanmobility/FareType.html#RANGE"><code>FareType.RANGE</code></a>, this method returns the lower bound of a
 price range, and <a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getMaximumPrice--"><code>Fare.getMaximumPrice()</code></a> contains the upper bound of a price range, or
 the same value as this method if the price is exact.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>price of the fare (possibly lower bound of a price range)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getFareType--"><code>Fare.getFareType()</code></a>, 
<a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getMaximumPrice--"><code>Fare.getMaximumPrice()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMaximumPrice--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumPrice</h4>
<pre>public double getMaximumPrice()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets maximum price of the fare (or parking costs if reason is "parking")

 <p>If the price is a range, indicated by fare type being set to <a href="../../../../../com/here/android/mpa/urbanmobility/FareType.html#RANGE"><code>FareType.RANGE</code></a>,
 this value will be representing the upper bound of the range, and
 <a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getPrice--"><code>Fare.getPrice()</code></a> returns possibly the lower bound of a price range.
 If the price is not a range, this method will return the same value as <a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getPrice--"><code>Fare.getPrice()</code></a>.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>price of the fare (possibly upper bound of a price range)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getFareType--"><code>Fare.getFareType()</code></a>, 
<a href="../../../../../com/here/android/mpa/urbanmobility/Fare.html#getPrice--"><code>Fare.getPrice()</code></a></dd>
</dl>
</li>
</ul>
<a name="getEstimated--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEstimated</h4>
<pre>public java.lang.Boolean getEstimated()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets whether the fare price is estimated or if it's an exact value.
 For example most taxi fares can only be estimated since the final price
 depends on the trip duration which is affected by the traffic.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the price is estimated, false if exact</dd>
</dl>
</li>
</ul>
<a name="getReason--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReason</h4>
<pre>public java.lang.String getReason()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the reason for the cost described in this element, e.g. parking.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the reason for the cost (eg. parking)</dd>
</dl>
</li>
</ul>
<a name="getFareType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFareType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/urbanmobility/FareType.html" title="enum in com.here.android.mpa.urbanmobility">FareType</a> getFareType()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets type of fare represented by this object.

 The client application is responsible to correctly visualize the fare model to the user.
 Since the supported fare types can be extended in the future, it's recommended hiding
 the fare information when encountering an unrecognized fare type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>type of fare</dd>
</dl>
</li>
</ul>
<a name="getPriceAsString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPriceAsString</h4>
<pre>public java.lang.String getPriceAsString()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the fare price as a formatted, ready-to-display string, entailing the currency.
 Insensitive to locale, uses a fixed convention for simplicity sake.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fare price as a ready-to-display string (incl. currency)</dd>
</dl>
</li>
</ul>
<a name="getLinks--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinks</h4>
<pre>public java.util.Collection&lt;<a href="../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility">Link</a>&gt; getLinks()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the collection of <a href="../../../../../com/here/android/mpa/urbanmobility/Link.html" title="class in com.here.android.mpa.urbanmobility"><code>Link</code></a>s associated with this fare e.g. to booking page.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Collection of <code>Link</code>s associated with this fare, or empty collection.</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object o)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public java.lang.String toString()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Fare.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/urbanmobility/ExploredCoverage.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/urbanmobility/FareType.html" title="enum in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/urbanmobility/Fare.html" target="_top">Frames</a></li>
<li><a href="Fare.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
